%define upstream_name    SNA-Network
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Generate random networks according to the configuration model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SNA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Module::List::Pluggable)
BuildRequires: perl(Object::Tiny::XS)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
SNA::Network is a bundle of modules for network algorithms, specifically
designed for the needs of Social Network Analysis (SNA), but can be used
for any other graph algorithms of course.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.190.0-9.mga9
+ Revision: 1805672
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-8.mga8
+ Revision: 1497165
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-7.mga7
+ Revision: 1271190
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-6.mga6
+ Revision: 1033085
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.190.0-5.mga6
+ Revision: 934202
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 743879
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 527285
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 439824
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 372378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 315836
- update to 0.18

* Mon Oct 01 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 301283
- update to 0.17

* Mon Sep 17 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 295038
- update to 0.16

* Sat Dec 10 2011 kharec <kharec> 0.130.0-1.mga2
+ Revision: 179869
- imported package perl-SNA-Network


* Sat Dec 10 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
